org.eclipse.microprofile.fault.tolerance.tck.metrics.util

## Class RegistryTypeLiteral

- java.lang.Object
- - javax.enterprise.util.AnnotationLiteral<org.eclipse.microprofile.metrics.annotation.RegistryType>
  - - org.eclipse.microprofile.fault.tolerance.tck.metrics.util.RegistryTypeLiteral

All Implemented Interfaces:
  Serializable, Annotation, org.eclipse.microprofile.metrics.annotation.RegistryType

    public class RegistryTypeLiteral
    extends javax.enterprise.util.AnnotationLiteral<org.eclipse.microprofile.metrics.annotation.RegistryType>
    implements org.eclipse.microprofile.metrics.annotation.RegistryType

Literal for `RegistryType`

Constants are provided for the base and vendor registries.

See Also:
  Serialized Form

### Field Summary

Fields
`static RegistryTypeLiteral` `BASE`
`static RegistryTypeLiteral` `VENDOR`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.microprofile.metrics.MetricRegistry.Type` `type()`

### Methods inherited from class javax.enterprise.util.AnnotationLiteral

`annotationType, equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.annotation.Annotation

`annotationType, equals, hashCode, toString`

### Field Detail

#### BASE

    public static final RegistryTypeLiteral BASE

#### VENDOR

    public static final RegistryTypeLiteral VENDOR

### Method Detail

#### type

    public org.eclipse.microprofile.metrics.MetricRegistry.Type type()